# forestvpn_api.api.UsageApi

## Load the API package
```dart
import 'package:forestvpn_api/api.dart';
```

All URIs are relative to *https://api.forestvpn.com/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getTraffic**](UsageApi.md#getTraffic) | **GET** /usage/traffic/ | Get traffic usage for current month


# **getTraffic**
> UsageTraffic getTraffic()

Get traffic usage for current month

### Example 
```dart
import 'package:forestvpn_api/api.dart';
// TODO Configure API key authorization: Bearer
//defaultApiClient.getAuthentication<ApiKeyAuth>('Bearer').apiKey = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//defaultApiClient.getAuthentication<ApiKeyAuth>('Bearer').apiKeyPrefix = 'Bearer';

var api_instance = UsageApi();

try { 
    var result = api_instance.getTraffic();
    print(result);
} catch (e) {
    print("Exception when calling UsageApi->getTraffic: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**UsageTraffic**](UsageTraffic.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

