# forestvpn_api.api.UserApi

## Load the API package
```dart
import 'package:forestvpn_api/api.dart';
```

All URIs are relative to *https://api.forestvpn.com/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getPremium**](UserApi.md#getPremium) | **GET** /user/premium/ | Get premium status details


# **getPremium**
> Premium getPremium()

Get premium status details

### Example 
```dart
import 'package:forestvpn_api/api.dart';
// TODO Configure API key authorization: Bearer
//defaultApiClient.getAuthentication<ApiKeyAuth>('Bearer').apiKey = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//defaultApiClient.getAuthentication<ApiKeyAuth>('Bearer').apiKeyPrefix = 'Bearer';

var api_instance = UserApi();

try { 
    var result = api_instance.getPremium();
    print(result);
} catch (e) {
    print("Exception when calling UserApi->getPremium: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**Premium**](Premium.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

