part of forestvpn_api.api;

class AndroidDeviceInfoVersion {
  
  String securityPatch = null;
  
  String sdkInt = null;
  
  String release = null;
  
  String previewSdkInt = null;
  
  String incremental = null;
  
  String baseOs = null;
  AndroidDeviceInfoVersion();

  @override
  String toString() {
    return 'AndroidDeviceInfoVersion[securityPatch=$securityPatch, sdkInt=$sdkInt, release=$release, previewSdkInt=$previewSdkInt, incremental=$incremental, baseOs=$baseOs, ]';
  }

  AndroidDeviceInfoVersion.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    securityPatch = json['security_patch'];
    sdkInt = json['sdk_int'];
    release = json['release'];
    previewSdkInt = json['preview_sdk_int'];
    incremental = json['incremental'];
    baseOs = json['base_os'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (securityPatch != null)
      json['security_patch'] = securityPatch;
    if (sdkInt != null)
      json['sdk_int'] = sdkInt;
    if (release != null)
      json['release'] = release;
    if (previewSdkInt != null)
      json['preview_sdk_int'] = previewSdkInt;
    if (incremental != null)
      json['incremental'] = incremental;
    if (baseOs != null)
      json['base_os'] = baseOs;
    return json;
  }

  static List<AndroidDeviceInfoVersion> listFromJson(List<dynamic> json) {
    return json == null ? List<AndroidDeviceInfoVersion>() : json.map((value) => AndroidDeviceInfoVersion.fromJson(value)).toList();
  }

  static Map<String, AndroidDeviceInfoVersion> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, AndroidDeviceInfoVersion>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = AndroidDeviceInfoVersion.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of AndroidDeviceInfoVersion-objects as value to a dart map
  static Map<String, List<AndroidDeviceInfoVersion>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<AndroidDeviceInfoVersion>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = AndroidDeviceInfoVersion.listFromJson(value);
       });
     }
     return map;
  }
}

