part of forestvpn_api.api;

class GeoPoint {
  
  String latitude = null;
  
  String longitude = null;
  GeoPoint();

  @override
  String toString() {
    return 'GeoPoint[latitude=$latitude, longitude=$longitude, ]';
  }

  GeoPoint.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    latitude = json['latitude'];
    longitude = json['longitude'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (latitude != null)
      json['latitude'] = latitude;
    if (longitude != null)
      json['longitude'] = longitude;
    return json;
  }

  static List<GeoPoint> listFromJson(List<dynamic> json) {
    return json == null ? List<GeoPoint>() : json.map((value) => GeoPoint.fromJson(value)).toList();
  }

  static Map<String, GeoPoint> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, GeoPoint>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = GeoPoint.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of GeoPoint-objects as value to a dart map
  static Map<String, List<GeoPoint>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<GeoPoint>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = GeoPoint.listFromJson(value);
       });
     }
     return map;
  }
}

