part of forestvpn_api.api;

class IOSDeviceInfoUtsname {
  
  String sysname = null;
  
  String nodename = null;
  
  String release = null;
  
  String version = null;
  
  String machine = null;
  IOSDeviceInfoUtsname();

  @override
  String toString() {
    return 'IOSDeviceInfoUtsname[sysname=$sysname, nodename=$nodename, release=$release, version=$version, machine=$machine, ]';
  }

  IOSDeviceInfoUtsname.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    sysname = json['sysname'];
    nodename = json['nodename'];
    release = json['release'];
    version = json['version'];
    machine = json['machine'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (sysname != null)
      json['sysname'] = sysname;
    if (nodename != null)
      json['nodename'] = nodename;
    if (release != null)
      json['release'] = release;
    if (version != null)
      json['version'] = version;
    if (machine != null)
      json['machine'] = machine;
    return json;
  }

  static List<IOSDeviceInfoUtsname> listFromJson(List<dynamic> json) {
    return json == null ? List<IOSDeviceInfoUtsname>() : json.map((value) => IOSDeviceInfoUtsname.fromJson(value)).toList();
  }

  static Map<String, IOSDeviceInfoUtsname> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, IOSDeviceInfoUtsname>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = IOSDeviceInfoUtsname.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of IOSDeviceInfoUtsname-objects as value to a dart map
  static Map<String, List<IOSDeviceInfoUtsname>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<IOSDeviceInfoUtsname>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = IOSDeviceInfoUtsname.listFromJson(value);
       });
     }
     return map;
  }
}

