part of forestvpn_api.api;

class ProfilePreference {
  
  Location outboundLocation = null;
  
  Location inboundLocation = null;
  ProfilePreference();

  @override
  String toString() {
    return 'ProfilePreference[outboundLocation=$outboundLocation, inboundLocation=$inboundLocation, ]';
  }

  ProfilePreference.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    outboundLocation = (json['outbound_location'] == null) ?
      null :
      Location.fromJson(json['outbound_location']);
    inboundLocation = (json['inbound_location'] == null) ?
      null :
      Location.fromJson(json['inbound_location']);
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (outboundLocation != null)
      json['outbound_location'] = outboundLocation;
    if (inboundLocation != null)
      json['inbound_location'] = inboundLocation;
    return json;
  }

  static List<ProfilePreference> listFromJson(List<dynamic> json) {
    return json == null ? List<ProfilePreference>() : json.map((value) => ProfilePreference.fromJson(value)).toList();
  }

  static Map<String, ProfilePreference> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, ProfilePreference>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = ProfilePreference.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of ProfilePreference-objects as value to a dart map
  static Map<String, List<ProfilePreference>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<ProfilePreference>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = ProfilePreference.listFromJson(value);
       });
     }
     return map;
  }
}

