part of forestvpn_api.api;

class WireGuardProfileUpdateRequest {
  
  String inboundLocationId = null;
  
  String outboundLocationId = null;
  WireGuardProfileUpdateRequest();

  @override
  String toString() {
    return 'WireGuardProfileUpdateRequest[inboundLocationId=$inboundLocationId, outboundLocationId=$outboundLocationId, ]';
  }

  WireGuardProfileUpdateRequest.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    inboundLocationId = json['inbound_location_id'];
    outboundLocationId = json['outbound_location_id'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (inboundLocationId != null)
      json['inbound_location_id'] = inboundLocationId;
    if (outboundLocationId != null)
      json['outbound_location_id'] = outboundLocationId;
    return json;
  }

  static List<WireGuardProfileUpdateRequest> listFromJson(List<dynamic> json) {
    return json == null ? List<WireGuardProfileUpdateRequest>() : json.map((value) => WireGuardProfileUpdateRequest.fromJson(value)).toList();
  }

  static Map<String, WireGuardProfileUpdateRequest> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, WireGuardProfileUpdateRequest>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = WireGuardProfileUpdateRequest.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of WireGuardProfileUpdateRequest-objects as value to a dart map
  static Map<String, List<WireGuardProfileUpdateRequest>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<WireGuardProfileUpdateRequest>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = WireGuardProfileUpdateRequest.listFromJson(value);
       });
     }
     return map;
  }
}

