part of forestvpn_api.api;

class WireGuardProfileUsage {
  
  UsageTraffic traffic = null;
  WireGuardProfileUsage();

  @override
  String toString() {
    return 'WireGuardProfileUsage[traffic=$traffic, ]';
  }

  WireGuardProfileUsage.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    traffic = (json['traffic'] == null) ?
      null :
      UsageTraffic.fromJson(json['traffic']);
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (traffic != null)
      json['traffic'] = traffic;
    return json;
  }

  static List<WireGuardProfileUsage> listFromJson(List<dynamic> json) {
    return json == null ? List<WireGuardProfileUsage>() : json.map((value) => WireGuardProfileUsage.fromJson(value)).toList();
  }

  static Map<String, WireGuardProfileUsage> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, WireGuardProfileUsage>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = WireGuardProfileUsage.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of WireGuardProfileUsage-objects as value to a dart map
  static Map<String, List<WireGuardProfileUsage>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<WireGuardProfileUsage>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = WireGuardProfileUsage.listFromJson(value);
       });
     }
     return map;
  }
}

