part of forestvpn_api.api;

class UsageTraffic {
  
  int transmit = null;
  
  int receive = null;
  
  int consumed = null;
  
  int limit = null;
  
  String label = null;
  UsageTraffic();

  @override
  String toString() {
    return 'UsageTraffic[transmit=$transmit, receive=$receive, consumed=$consumed, limit=$limit, label=$label, ]';
  }

  UsageTraffic.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    transmit = json['transmit'];
    receive = json['receive'];
    consumed = json['consumed'];
    limit = json['limit'];
    label = json['label'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (transmit != null)
      json['transmit'] = transmit;
    if (receive != null)
      json['receive'] = receive;
    if (consumed != null)
      json['consumed'] = consumed;
    if (limit != null)
      json['limit'] = limit;
    if (label != null)
      json['label'] = label;
    return json;
  }

  static List<UsageTraffic> listFromJson(List<dynamic> json) {
    return json == null ? List<UsageTraffic>() : json.map((value) => UsageTraffic.fromJson(value)).toList();
  }

  static Map<String, UsageTraffic> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, UsageTraffic>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = UsageTraffic.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of UsageTraffic-objects as value to a dart map
  static Map<String, List<UsageTraffic>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<UsageTraffic>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = UsageTraffic.listFromJson(value);
       });
     }
     return map;
  }
}

